## org.apache.ivy.core.module.descriptor
Interface ConfigurationAware

All Known Implementing Classes:
  AbstractIncludeExcludeRule, DefaultDependencyArtifactDescriptor, DefaultExcludeRule, DefaultIncludeRule

    public interface ConfigurationAware

Objects implementing this interface are aware of module configurations, and can thus be added to configurations, and list their configurations.

Method Summary
`void` `addConfiguration(java.lang.String confName)` Tells this object that it will now be part of the given configuration
`java.lang.String[]` `getConfigurations()` Returns the configurations of the module to which the object is attached

Method Detail

### getConfigurations

    java.lang.String[] getConfigurations()

  Returns the configurations of the module to which the object is attached

  Returns:
    an array of configuration names to which the object is attached

### addConfiguration

    void addConfiguration(java.lang.String confName)

  Tells this object that it will now be part of the given configuration

  Parameters:
    `confName` - the name of the configuration to which the object is now attached